Subject: Re: 3.19+: (and quite probably earlier) VIA Rhine hanging under high network load, yet again: redux

From: Nix <[email-masked]>
Date: Sun, 05 Apr 2015 21:59:25 +0100

On 4 Apr 2015, Francois Romieu said:

> Nix <[email-masked]> :
> [...]
>
> This driver leaves holes in its receive ring under memory pressure.
> It may not help.
>
> You can try the gross patch below against v3.19. It compiles. I have to go.

Gross or not, it seems to work: I've loaded it enough to crash it half a
dozen times, and not a crash. However, the rx_dropped stats on the link
aren't going up, so maybe I've just been lucky.

I'll put it under more load tomorrow :)

-- 
NULL && (void)